Partition Class Reference

`#include <Partition.h>`

## Public Member Functions

| Partition ()
| Partition (const Partition &partition)
| ~Partition ()
void | reset (size_t size)
bool | join (size_t i, size_t j)
size_t | getSize () const
size_t | getSetCount () const
size_t | getSetSize (size_t set) const
size_t | getRoot (size_t i) const
void | addToSet (size_t i)
size_t | getSizeOfClassOf (size_t i) const
void | print (FILE *file) const

## Private Member Functions

Partition & | operator= (const Partition &)

## Private Attributes

int * | _partitions
size_t | _size
size_t | _capacity
size_t | _setCount

## Detailed Description

Definition at line 20 of file Partition.h.

## Constructor & Destructor Documentation

## Partition() [1/2]

Partition::Partition | ( |  | ) |

Definition at line 20 of file Partition.cpp.

## Partition() [2/2]

Partition::Partition | ( | const Partition & | partition | ) |

Definition at line 26 of file Partition.cpp.

## ~Partition()

Partition::~Partition | ( |  | ) |

Definition at line 35 of file Partition.cpp.

## Member Function Documentation

## addToSet()

void Partition::addToSet | ( | size_t | i | ) |

Definition at line 111 of file Partition.cpp.

## getRoot()

size_t Partition::getRoot | ( | size_t | i | ) | const

Definition at line 102 of file Partition.cpp.

## getSetCount()

size_t Partition::getSetCount | ( |  | ) | const

Definition at line 72 of file Partition.cpp.

## getSetSize()

size_t Partition::getSetSize | ( | size_t | set | ) | const

Definition at line 88 of file Partition.cpp.

## getSize()

size_t Partition::getSize | ( |  | ) | const

Definition at line 117 of file Partition.cpp.

## getSizeOfClassOf()

size_t Partition::getSizeOfClassOf | ( | size_t | i | ) | const

Definition at line 84 of file Partition.cpp.

## join()

bool Partition::join | ( | size_t | i,
|  | size_t | j )

Definition at line 51 of file Partition.cpp.

## operator=()

Partition & Partition::operator= | ( | const Partition & |  | ) |

private

## print()

void Partition::print | ( | FILE * | file | ) | const

Definition at line 121 of file Partition.cpp.

## reset()

void Partition::reset | ( | size_t | size | ) |

Definition at line 39 of file Partition.cpp.

## Member Data Documentation

## _capacity

size_t Partition::_capacity

private

Definition at line 50 of file Partition.h.

## _partitions

int* Partition::_partitions

private

Definition at line 48 of file Partition.h.

## _setCount

size_t Partition::_setCount

private

Definition at line 52 of file Partition.h.

## _size

size_t Partition::_size

private

Definition at line 49 of file Partition.h.

The documentation for this class was generated from the following files:

- src/Partition.h
- src/Partition.cpp